%define anolis_release 2

Name:           python-ukkonen
Version:        1.0.1
Release:        %{anolis_release}%{?dist}
Summary:        Implementation of bounded Levenshtein distance (Ukkonen)

License:        MIT
URL:            https://www.github.com/asottile/ukkonen
Source0:        %{url}/archive/v%{version}/ukkonen-%{version}.tar.gz

BuildRequires:  gcc-c++
BuildRequires:  python3-devel

# We don’t use %%tox for testing because it brings in unnecessary and
# unpackaged coverage dependencies.
BuildRequires:  python3dist(pytest)

%description
Implementation of bounded Levenshtein distance (Ukkonen) port

%package -n     python3-ukkonen
Summary:        %{summary}

%description -n python3-ukkonen
Implementation of bounded Levenshtein distance (Ukkonen) port

%prep
%autosetup -n ukkonen-%{version}
cp -p licenses/LICENSE LICENSE-upstream

%generate_buildrequires
%pyproject_buildrequires -r

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files ukkonen

%check
%pytest

%files -n python3-ukkonen -f %{pyproject_files}
%license LICENSE-upstream LICENSE
%{python3_sitearch}/_ukkonen.abi3.so

%changelog
* Fri Mar 22 2024 Zhao Hang <wb-zh951434@alibaba-inc.com> - 1.0.1-2
- Rebuild with python3.11

* Sat May 06 2023 Funda Wang <fundawang@yeah.net> - 1.0.1-1
- Import package for anolis 23
